# List customers Obtains a list of customers that match the specified criteria Endpoint: GET /customers Version: 1.0.0 Security: basicAuth ## Query parameters: - `stateCode` (string) Returns customers that reside in the specified stateCode - `countryCode` (string) Returns customers that reside in the specified countryCode (two-letter ISO) - `marketplaceId` (integer) Returns customers that purchased from the specified marketplaceId - `tagId` (integer) Returns customers that have been tagged with the specified tagId - `sortBy` (string) Sorts the order of the response Enum: "Name", "ModifyDate", "CreateDate" - `sortDir` (string) Sort direction Enum: "ASC", "DESC" - `page` (integer) Page number - `pageSize` (integer) Number of results per page. Maximum 500. ## Response 200 fields (application/json): - `customers` (array) - `customers.customerId` (integer) Example: 12345678 - `customers.name` (string) Example: "Cam Newton" - `customers.company` (string) Example: "Test Company" - `customers.email` (string) Example: "supermancam@example.com" - `customers.phone` (string) Example: "555-555-5555" - `customers.city` (string) Example: "Auburn" - `customers.state` (string) Example: "AL" - `customers.countryCode` (string) Example: "US" - `total` (integer) - `page` (integer) - `pages` (integer) ## Response 400 fields (application/json): - `message` (string) Example: "Invalid request parameters" ## Response 401 fields (application/json): - `message` (string) Example: "Invalid API credentials" ## Response 500 fields (application/json): - `message` (string) Example: "An internal error occurred"